View Single Post
DeadOrc
Junior Member
 
Join Date: Mar 2010
Posts: 10

Old April 8th, 2013, 01:50 AM
Shame it requires iOS 6. My iPad is still running iOS 5 - original iPad.

If I need to get a new tablet it won't be an iPad but an Android :/
DeadOrc is offline   #7 Reply With Quote